Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

Minecraft running in 32-bit instead of 64-bit


  • Please log in to reply
6 replies to this topic

#1

k0j3h
    k0j3h

    Out of the Water

  • Members
  • 5 posts

Posted 20 November 2011 - 08:08 PM

With the new 1.0.0 Minecraft update, when I set the render distance to far it says that the render distance works best with the 64-bit java. I installed 64-bit java, uninstalled the 32-bit version, and it showed a error and I remember it saying to install the JVM 32-bit version at java.com. I have a 64-bit operating windows 7, so I don't think its because I have the wrong operating system. Any help? Thanks.

Register or log in to remove.

#2

Paril
    Paril

    PMC El Sassador

  • Curse Premium
  • Curse Premium
  • 964 posts
  • Location: Canada
  • Minecraft: Paril

Posted 20 November 2011 - 08:12 PM

View Postk0j3h, on 20 November 2011 - 08:08 PM, said:

With the new 1.0.0 Minecraft update, when I set the render distance to far it says that the render distance works best with the 64-bit java. I installed 64-bit java, uninstalled the 32-bit version, and it showed a error and I remember it saying to install the JVM 32-bit version at java.com. I have a 64-bit operating windows 7, so I don't think its because I have the wrong operating system. Any help? Thanks.

As long as you have the 64-bit JVM installed, it should pick up on it immediately - you may still need 32-bit for other dependencies, though.

The actual performance boost you get would most likely be negligible (knowing Java), so I wouldn't worry about it too much.

-P

Posted Image


#3

kidglasses
  • Location: Canada
  • Minecraft: Derezzer

Posted 20 November 2011 - 08:12 PM

View Postk0j3h, on 20 November 2011 - 08:08 PM, said:

With the new 1.0.0 Minecraft update, when I set the render distance to far it says that the render distance works best with the 64-bit java. I installed 64-bit java, uninstalled the 32-bit version, and it showed a error and I remember it saying to install the JVM 32-bit version at java.com. I have a 64-bit operating windows 7, so I don't think its because I have the wrong operating system. Any help? Thanks.

It would depend on what browser your using. What browser are you using? For all I know Google Chrome runs in 32-bit.



Posted Image

#4

Dweller_Benthos
  • Minecraft: Dweller_Benthos

Posted 20 November 2011 - 08:15 PM

You should be able to install both 32 and 64 bit java. Best bet is to go to http://www.java.com/...load/manual.jsp and grab both the 32 bit and 64 bit offline versions, install the 32 bit first and then the 64 bit, though I don't think it makes a difference.

You may also want to remove older versions first, to do that go here http://www.java.com/...derversions.xml and follow the directions.
D_B
To tell them how to live is to prevent them living.

#5

Paril
    Paril

    PMC El Sassador

  • Curse Premium
  • Curse Premium
  • 964 posts
  • Location: Canada
  • Minecraft: Paril

Posted 20 November 2011 - 08:15 PM

View Postkidglasses, on 20 November 2011 - 08:12 PM, said:

It would depend on what browser your using. What browser are you using? For all I know Google Chrome runs in 32-bit.

Java runs independently of the browser, however you might have a point - use the exe version, as it would run faster regardless.

-P

Posted Image


#6

k0j3h
    k0j3h

    Out of the Water

  • Members
  • 5 posts

Posted 20 November 2011 - 10:01 PM

View PostDweller_Benthos, on 20 November 2011 - 08:15 PM, said:

You should be able to install both 32 and 64 bit java. Best bet is to go to http://www.java.com/...load/manual.jsp and grab both the 32 bit and 64 bit offline versions, install the 32 bit first and then the 64 bit, though I don't think it makes a difference.

You may also want to remove older versions first, to do that go here http://www.java.com/...derversions.xml and follow the directions.
Still has the same message when I turn the render distance to far "A 64 bit Java installation is recommended for 'Far' render distance (you have 32 bit). No matter anyways, thanks for the help!

#7

iGeek2626

Posted 21 November 2011 - 12:14 AM

View Postk0j3h, on 20 November 2011 - 10:01 PM, said:

Still has the same message when I turn the render distance to far "A 64 bit Java installation is recommended for 'Far' render distance (you have 32 bit). No matter anyways, thanks for the help!
Honestly this is my first time in the forums so dont laugh to much but this happened to me and i uninstalled java so that when i started up minecraft it said i needed java then i went here http://java.com/en/download/manual.jsp and clicked 64 Bit version :) fixed it